Package io.dapr.client.domain

# Class BulkPublishResponse<T>

java.lang.Object
io.dapr.client.domain.BulkPublishResponse<T>

public class BulkPublishResponse<T> extends Object
Class representing the response returned on bulk publishing events.

## Constructor Summary

Constructors
Constructor
Description
`BulkPublishResponse()`
Default constructor for class.
`BulkPublishResponse(List<BulkPublishResponseFailedEntry<T>> failedEntries)`
Constructor for the BulkPublishResponse object.

## Method Summary

Modifier and Type
Method
Description
`List<BulkPublishResponseFailedEntry<T>>`
`getFailedEntries()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### BulkPublishResponse

public BulkPublishResponse()
Default constructor for class.

### BulkPublishResponse

public BulkPublishResponse(List<BulkPublishResponseFailedEntry<T>> failedEntries)
Constructor for the BulkPublishResponse object.

Parameters:
  `failedEntries` - The List of BulkPublishResponseEntries representing the list of events that failed to be published.

## Method Details

### getFailedEntries

public List<BulkPublishResponseFailedEntry<T>> getFailedEntries()